Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.jni.sag
Class HandleFactory

    java.lang.Object
      com.stc.connector.sagadapter.jni.sag.HandleFactory

    public class HandleFactory

extends java.lang.Object

Wrapper class for the SAG C++ HandleFactory class. It is derived from sagapp.hpp.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:39 $
Author:
  Harry Liu (harry.liu@sun.com)

Method Summary
`void` | `free()` Method free.
`static java.lang.String` | `getEnvVar(java.lang.String var)` Gets an environment variable
`static HandleFactory` | `newFactory(java.lang.String configFile)` Method newFactory.
`Handle` | `newHandle(long timeout)` Method newHandle.
`static void` | `setEnvVar(java.lang.String env)` Sets an environment variable

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### free

    public void free()

  Method free.

### newFactory

    public static HandleFactory newFactory(java.lang.String configFile)
                                    throws ExcStatus

  Method newFactory. Need to call siwft6.0.0 native method init(...) inside its implementation.

  Parameters:
    `configFile` - String
  Returns:
    HandleFactory
  Throws:
    `ExcStatus` - on error

### newHandle

    public Handle newHandle(long timeout)
                     throws ExcStatus

  Method newHandle.

  Parameters:
    `timeout` - int
  Returns:
    Handle
  Throws:
    `ExcStatus` - on error

### setEnvVar

    public static void setEnvVar(java.lang.String env)

  Sets an environment variable

  Parameters:
    `env` - the environment variable in the form of "envVariable=value"

### getEnvVar

    public static java.lang.String getEnvVar(java.lang.String var)

  Gets an environment variable

  Parameters:
    `var` - the name of the environment variable
  Returns:
    the value of the environment variable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.